/**
 * This Exception holds a message passed in when it was created
 * and is used by the calculator to flag an invalid expression.
 *
 * @author <A HREF="mailto:gte220j@prism.gatech.edu.com"> J.Chris Holmes </A>
 * @version Version 1.0, 4/23/2001
 */

public class InvalidInputException extends Exception
{
  private String message;

  /**
   * Creates a new Exception which holds the passed in message
   */
  public InvalidInputException(String message) {
    this.message = message;
  }
  /**
   * Returns the message held by this Exception.
   *
   * @return  The message held by this Exception
   */
  public String getMessage() { return(message); }
}
